=== test/CMakeLists.txt ===
add_test(NAME xacro_cmake
  # run test-cmake.sh for subdir test-xacro-cmake
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/test-cmake.sh ${CMAKE_CURRENT_SOURCE_DIR}/test-xacro-cmake
  )
