=== debian/changelog ===
ros-kinetic-xacro (1.11.3-0xenial) xenial; urgency=high

  * extend list of allowed python builtins: min, max, round
  * #173 <https://github.com/ros/xacro/issues/173>: allow default values for properties
  * #172 <https://github.com/ros/xacro/issues/172>: fix formatting of XacroException
  * #182 <https://github.com/ros/xacro/issues/182>: suppress xacro warnings when determining dependencies
  * #171 <https://github.com/ros/xacro/issues/171>: fix dependency handling (--deps option)
    * allow to specify extra dependencies for xacro_add_xacro_file(s)
    * consider yaml files loaded with load_yaml
  * fixes for #148 <https://github.com/ros/xacro/issues/148> and #149 <https://github.com/ros/xacro/issues/149>
  * fix #156 <https://github.com/ros/xacro/issues/156>: avoid access to undefined variable target_table
  * fix #148 <https://github.com/ros/xacro/issues/148>: silently ignore extra attributes that are namespace specifiers
  * allow True/False literals in python expressions
  * Contributors: Robert Haschke, Morgan Quigley, Steven Peters

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 27 Mar 2018 22:00:00 -0000

ros-kinetic-xacro (1.11.2-0xenial) xenial; urgency=high

  * Convert exception to string in a python2/3 compatible way.
  * Use python2/3 independent check for file type.
  * Contributors: Hans Gaiser, Maarten de Vries

 -- Morgan Quigley <morgan@osrfoundation.org>  Sun, 26 Feb 2017 23:00:00 -0000

ros-kinetic-xacro (1.11.1-0xenial) xenial; urgency=high

  * workaround for xml.dom.minidom issue
  * ensure non-empty error string
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Tue, 21 Jun 2016 22:00:00 -0000

ros-kinetic-xacro (1.11.0-0xenial) xenial; urgency=high

  * added short option -i as alternative to --inorder
  * refactored main to fix #122, #107
  * added xacro indicator to error message to fix #123
  * moved banner generation to process_file()
  * removed special (but obsolete) output handling for just_includes mode
  * moved core processing pipeline into function process_file()
  * improved documentation: more comments, input_file -> input_file_name
  * fix #120: handle non-space whitespace characters in params string
  * extended tests to handle non-space whitespace characters in params string
  * always store macros with xacro: prefix in front: #118
  * fix #115: enforce xacro namespace usage with --xacro-ns option
  * apply correct checking for include tags, and extend testcase
  * allow (one-level) nested expression/extension evaluation
  * Contributors: Robert Haschke, Morgan Quigley

 -- Morgan Quigley <morgan@osrfoundation.org>  Thu, 24 Mar 2016 23:00:00 -0000

ros-kinetic-xacro (1.10.6-0xenial) xenial; urgency=high

  * use correct catkin environment for cmake dependency checking
  * fixed dependency definition for cmake usage
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Mon, 31 Aug 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.5-0xenial) xenial; urgency=high

  * fix #108: evaluate property blocks recursively too
  * improved macro parameter parsing
  * use a regular expression to parse a param spec with forwarding and default
  * allow for spaces in default string (within single quotes)
  * forwarding macro arguments from outer scope
  * switched to ^| syntax
  * use more compact $| syntax
  * moved parsing of argument defaults to grab_macro()
  * explicit forwarding of properties to macro scope
  * replace silent/implicit forwarding of properties from outer scope to
    macro scope by an explicit "call" to a forward(<name>[,<default>]) function.
  * implicit forwarding of outer-scope properties to macro args (#100)
  * property evaluation fixes
  * suppress double evaluation of properties
  * adapted unittest to cover the fixed issue
  * fixed evaluation order for properties exported to parent or global scope
  * Merge pull request #103 from ubi-agni/overwrite-check
    issue warning when attempting to overwrite existing global property
  * fixed unittest: avoid overwrite warning
  * warn when overwriting any globally defined variable
  * Merge pull request #102 from ubi-agni/completion
    bash completion
  * Merge pull request #99 from ubi-agni/jade-devel
    reworked macro resolution
  * moved test_macro_name_with_colon() to class TestXacro
    should be tested both, in oldorder and inorder mode
  * bash completion
  * improved error message for failed $(find)
  * reworked macro resolution
    python-eval-based macro resolution (introduced to enable namespaces)
    heavily restricted the set of possible macro names (only valid python
    identifiers were allowed)
    Particularly, xacro: prefixed macro names were forbidden.
  * initial attempt to fix #97
  * add failing test case with colon in the macro name
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Tue, 11 Aug 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.4-0xenial) xenial; urgency=high

  * removed test_DEPRECATED_should_replace_before_macroexpand()
    duplicates test_should_replace_before_macroexpand()
  * fixed evaluation order of macro arguments and body
    Macro arguments need to be evaluated and assigned to properties before
    body is evaluated. Otherwise, the evaluated value will be converted to
    str, i.e. loosing original type.
  * Contributors: Robert Haschke

 -- Morgan Quigley <morgan@osrfoundation.org>  Wed, 17 Jun 2015 22:00:00 -0000

ros-kinetic-xacro (1.10.3-0xenial) xenial; urgency=high

  * deprecate --oldorder processing
  * added --check-order option to do a simple check for --inorder compatibility
    - Most probable incompatibility is redefining a property after its usage.
    - tested and reported with file location of (first) redefinition after usage.
  * moved command line processing to cli.py
  * explain verbosity levels in usage string
  * colorize errors during cli parsing
  * log definition and usage of properties

