=== debian/control ===
Source: ros-kinetic-xacro
Section: misc
Priority: extra
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.68), ros-kinetic-roslint, ros-kinetic-rostest
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-kinetic-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roslaunch
Description: Xacro (XML Macros) Xacro is an XML macro language.
 With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.
